#   FILE: flyn_tex.spec --
# AUTHOR: W. Michael Petullo <flyn_tex@flyn.org>
#   DATE: 29 September 1999
#
# Copyright (c) 1999 W. Michael Petullo <flyn_tex@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

%define rel 1
%define prefix	/usr

Summary: Some files for generating Flyn Computing documents.
Name: flyn_docs
Version: 0.0.1
Release: %rel
Copyright: GPL
Group: Applications/Publishing/TeX
Source: %name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /home/mike/development/live
Packager: W. Michael Petullo <flyn_tex@flyn.org>
URL: http://www.flyn.org
Requires: tetex tetex-latex

%description
flyn_docs is a set of files which may be used to create letterhead,
envelopes, etc. related to Flyn Computing.

%changelog

%prep

%setup

%build
./configure --prefix=$RPM_BUILD_ROOT%{prefix}
make

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/texmf/tex/latex/base
install --mode 644 flyn_letter.cls $RPM_BUILD_ROOT%{prefix}/share/texmf/tex/latex/base/flyn_letter.cls
mkdir $RPM_BUILD_ROOT/usr/share/new
mkdir $RPM_BUILD_ROOT/usr/share/flyn_docs
cp -R templates $RPM_BUILD_ROOT/usr/share/new/templates
cp flyn.ps $RPM_BUILD_ROOT/usr/share/flyn_docs/flyn.ps
gzip -9 AUTHORS COPYING ChangeLog INSTALL NEWS README letter.tex

%clean
# rm -rf $RPM_BUILD_ROOT

%pre

%post
( cd /usr/share/texmf; mktexlsr )

%preun

%postun
( cd /usr/share/texmf; mktexlsr )

%files
%defattr(-, root, root)
%{prefix}/share/texmf/tex/latex/base
%{prefix}/share/new/templates/tex/flyn_letter
%{prefix}/share/flyn_docs/flyn.ps
%doc AUTHORS.gz COPYING.gz ChangeLog.gz INSTALL.gz NEWS.gz README.gz letter.tex.gz

%config

